package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;

import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.WatchMeasure;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface WatchMeasureDAO {
	int insert(WatchMeasure entity);
	int update(WatchMeasure entity);
	int exist(String id);
	WatchMeasure get(String id);
	int delete(String id);
	List<WatchMeasure> list();
	List<WatchMeasure> search(Map<String,Object> searchParams, List<Sort> sortList);
	String getWatchNewData(String deviceNo, String name);
	List<com.jpsoft.shinestar.modules.base.dto.WatchMeasureCurve> getCurveData(String deviceNo, String name, int limit);
	List<com.jpsoft.shinestar.modules.base.dto.WatchMeasureCurve> getLbsData(String deviceNo, String startTime, String endTime);
	WatchMeasure getLastDataByDay(String deviceNo, String name, String date);
}